%define ver 1.19
#%%define snap rc1
%define srcver %{ver}%{?snap:-%{snap}}

%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d

Summary:	C library for parsing command line parameters
Name:		popt
Version:	%{ver}%{?snap:~%{snap}}
Release:	%mkrel 1
Epoch:		1
License:	MIT
Group:		System/Libraries
URL:		https://github.com/rpm-software-management/popt/
Source:		http://ftp.rpm.org/popt/releases/popt-1.x/%{name}-%{srcver}.tar.gz

%description
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but
it improves on them by allowing more powerful argument expansion.
Popt can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%package -n	%{lib_name}
Summary:	Main %{name} library
Group:		System/Libraries
Requires:	%{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{name} library.


%package static
Summary:	Static library for parsing command line parameters
Group:		Development/C
Requires:	%{devel_name} = %{epoch}:%{version}-%{release}

%description static
The popt-static package includes static libraries of the popt library.
Install it if you need to link statically with libpopt.


%package -n	%{devel_name}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}
Requires:	%{lib_name} >= 1:1.15-8
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpopt-devel = %{epoch}:%{version}-%{release}

%description -n	%{devel_name} 
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%package -n	%{name}-data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description -n	popt-data
This package contains popt data files like locales.

%prep
%autosetup -n %{name}-%{srcver} -p1

%build
autoreconf -fi
%configure	--disable-rpath
%make_build

%install
%make_install
%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc README
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}


%files static
%{_libdir}/libpopt.a

%files -n %{devel_name}
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/popt.pc
%{_libdir}/lib%{name}.so
%{_mandir}/man3/popt.*

%files -n %{name}-data -f %{name}.lang


%changelog
* Tue Sep 27 2022 luigiwalser <luigiwalser> 1:1.19-1.mga9
+ Revision: 1892576
- 1.19
- fix source URL

* Wed Jun 15 2022 tv <tv> 1:1.19~rc1-1.mga9
+ Revision: 1864487
- 1.19 RC1

* Tue Mar 15 2022 umeabot <umeabot> 1:1.18-2.mga9
+ Revision: 1792867
- Mageia 9 Mass Rebuild

* Tue Jun 23 2020 tv <tv> 1:1.18-1.mga8
+ Revision: 1598697
- 1.18 final

* Thu Jun 04 2020 tv <tv> 1:1.18~rc1-16.mga8
+ Revision: 1590274
- Rebase to popt 1.18-rc1
- Update URLs to the new upstream

* Tue Jun 02 2020 tv <tv> 1:1.16-16.mga8
+ Revision: 1589706
- Added upstream patch to handle glob(3) error returns (rhbz#1051685)
- Fix a memory leak

* Fri Feb 14 2020 umeabot <umeabot> 1:1.16-15.mga8
+ Revision: 1516136
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.16-14.mga7
+ Revision: 1300345
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Feb 21 2016 daviddavid <daviddavid> 1:1.16-13.mga6
+ Revision: 975274
- fix requires again adding missing epoch on static subpackage

* Sun Feb 21 2016 tv <tv> 1:1.16-12.mga6
+ Revision: 975095
- fix requires

* Sun Feb 21 2016 tv <tv> 1:1.16-11.mga6
+ Revision: 975080
- fix group
- add static subpackage for efivar

* Fri Feb 12 2016 umeabot <umeabot> 1:1.16-10.mga6
+ Revision: 958547
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1:1.16-9.mga6
+ Revision: 867855
- rebuild for new gcc

* Fri Aug 21 2015 tmb <tmb> 1:1.16-8.mga6
+ Revision: 867686
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1:1.16-7.mga5
+ Revision: 746402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.16-6.mga5
+ Revision: 687723
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.16-5.mga4
+ Revision: 517615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.16-4.mga3
+ Revision: 378067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 1:1.16-3.mga3
+ Revision: 344488
- patch2: fix build with automake 1.13

* Fri Jul 27 2012 fwang <fwang> 1:1.16-2.mga3
+ Revision: 274959
- fix build with automake 1.12
- drop .la file, move to prefix

* Sat Jan 08 2011 blino <blino> 1:1.16-1.mga1
+ Revision: 453
- imported package popt


* Mon Dec 13 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.16-1mdv2011.0
+ Revision: 620656
- new release: 1.16
- only install dynamic library under /%%{_lib}, keep the rest in %%{_libdir}

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.15-10mdv2011.0
+ Revision: 607190
- rebuild

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 1:1.15-9mdv2010.1
+ Revision: 506724
- hard require libpackage release to prevent inexistent target

* Tue Feb 16 2010 Frederic Crozat <fcrozat@mandriva.com> 1:1.15-8mdv2010.1
+ Revision: 506600
- Move library to /lib(64), fixes Mdv bug #57649 (done in Fedora since 2007)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-7mdv2010.0
+ Revision: 425086
- rebuild

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.15-6mdv2010.0
+ Revision: 390234
- disable rpath
- fix muxture of tabs and spaces

* Fri Jun 26 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-5mdv2010.0
+ Revision: 389422
- add missing Provides: in devel package

* Thu Jun 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-4mdv2010.0
+ Revision: 389007
- Add missing provides (neeeded by drakconf)

* Wed Jun 24 2009 Funda Wang <fwang@mandriva.org> 1:1.15-3mdv2010.0
+ Revision: 388832
- fix requires on epoch

* Wed Jun 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.15-2mdv2010.0
+ Revision: 388822
- Set epoch since libpopt0 from rpm 4.4 had an epoch set to 1

* Mon Jun 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.15-1mdv2010.0
+ Revision: 386017
- import popt


